# via API

Hyperion using Graphql API from Alcove

> Endpoint: <https://hyperfluid-api.alcove.pro/v1/graphql>

### Get Pool Stat&#x20;

Return stat info about pool / pools (without param `$poolId`)

```
query MyQuery($poolId: String = "") {
  api {
    getPoolStat(poolId: $poolId) {
      dailyVolumeUSD     // 24 hour volume in USD
      farmAPR            // reward APR, %
      feeAPR             // fee APR, %
      feesUSD            // fee in USD
      id                 // pool id
      tvlUSD             // TVL in USD
      pool {
        currentTick      // current tick
        activeLpAmount   // active lp amount
        feeRate          // fee rata, 100 = 0.01% 
        sqrtPrice        // current sqrt price
        token1           // token1 FA address 
        token2           // token2 FA address
      }
    }
  }
}
```

<sub>The White Paper is for informational purposes only. Nothing in the White Paper constitutes legal, financial or tax advice. Its content may be updated from time to time without express notice. You should seek your own professional advice before engaging in any activity in connection with Hyperion. See</sub> [<sub>Legal Disclaimer</sub>](https://docs.hyperion.xyz/legal-and-compliance/legal-disclaimer)<sub>.</sub>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyperion.xyz/developer/via-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
